// based on https://status.cafe/current-status.js
fetch('https://status.cafe/users/gome/status.json')
.then( r => r.json() )
.then( r => {
  if (!r.content.length) {
    document.getElementById('statuscafe-content').innerHTML = 'No status yet.'
    return
  }
  document.getElementById('status').classList.add('loaded');
  document.getElementById('statuscafe-title').innerHTML = 'My status'
  document.getElementById('statuscafe-username').innerHTML = "<a href='https://status.cafe/users/gome' target='_blank'>" + r.author + '</a> ' + r.face + ' ' + r.timeAgo
  document.getElementById('statuscafe-content').innerHTML = r.content
})
